Subject: Re: bug#25943: 21.5 Frame Display Difficulties

From: martin rudalics <[email-masked]>
Date: Sat, 08 Apr 2017 11:00:08 +0200

> The results are somewhat fascinating because of the differences in
 > performance, which, of course, you cannot see.  Sometimes problem 3 is
 > easy to see, sometimes it takes several frame creations and deletions.
 > There is one result where running over the network improves performance!
 > Running over the network is included because the results, and what I see,
 > make it hard to avoid speculating that timing/race conditions are at the
 > root of problem 3.

If

 > 25.1    Mneme   GTK3     Mneme    Yes
 > 25.1    Thalia  No       Thalia   Yes      Yes, but rare.
 > 26.0.50 Thalia  No       Thalia   Yes
 > 25.1    Erota   No       Erota    Yes

below mean that the network was not involved, then the results below
don't seem to confirm that speculation.

 > Here is some detail.  Computer Mneme and Erota run Linux Mint 18.1,
 > computer Thalia runs Trisquel 7.  I run emacs on all three, sometimes over
 > my small network.
 >
 > A "No" entry for problem 3 really means "Not Yet"; but I have tried many
 > times to generate the problem.
 >
 > Sometimes it is possible to see the separation of the emacs frame and the
 > WM window.  There can be a short period before the two coalesce
 > (flashing), or the two may stay separated.

Does "stay separated" mean that the separation continues forever even
after showing another buffer in the frame, splitting its root window,
demaximizing and again maximizing it?

 > Version Run     Toolkit  Display  Problem3
 > 25.1    Mneme   GTK3     Mneme    Yes
 >                 GTK3     Thalia   No       This is a surprising result,
 >                                            given the above; it can be
 >                                            viewed as a performance
 >                                            improvement.
 >                          Erota    Yes      Yes, but very rare.
 >
 > 25.1    Thalia  No       Thalia   Yes      Yes, but rare.
 >                          Mneme    Yes
 > 26.0.50 Thalia  No       Thalia   Yes
 >                          Mneme    Yes      This shows both short period
 >                                            and permanent frame separation.
 >
 > 25.1    Erota   No       Erota    Yes
 >                          Mneme    Yes
 > 26.0.50 Erota   GTK3     Erota    No
 >                          Mneme    No

The last two lines seem to indicate that running a GTK3 build of
26.0.50.0 on Erota gives the best results.  Did you try 26.0.50.0
GTK3 builds for your Thalia and Mneme machines?

martin